﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Linq;
using System.Windows.Forms;
using DevExpress.XtraEditors;
using DevExpress.Utils;
using DotSpatial.Controls;
using DotSpatial.Plugins.OverviewMap.Properties;

namespace DotSpatial.Plugins.OverviewMap
{
    public partial class AddressTreeControl : DevExpress.XtraEditors.XtraUserControl
    {

        private ImageCollection imageList;

        public AddressTreeControl()
        {
            InitializeComponent();

            this.imageList = new ImageCollection();
            this.imageList.Images.Add(Resources.Folder_Closed_16x16);
            this.imageList.Images.Add(Resources.Folder_Open_16x16);
            this.imageList.Images.Add(Resources.Action_Open);
            this.treeList.SelectImageList = this.imageList;
        }

        public AppManager App { get; set; }

        public DevExpress.XtraTreeList.TreeList TreeList 
        { 
            get 
            { 
                return this.treeList;
            }
        }

        private void treeList_GetSelectImage(object sender, DevExpress.XtraTreeList.GetSelectImageEventArgs e)
        {
            var val = e.Node.GetValue(1).ToString();
            e.NodeImageIndex = 0;
            if (val == "0")
            {
                e.NodeImageIndex = 1;
            }

        }
    }
}
